package com.qianhe.service.impl;

import java.util.List;

import com.qianhe.common.utils.DateUtils;
import com.qianhe.common.utils.SecurityUtils;
import com.qianhe.domain.SjGfjsZsdwkhpj;
import com.qianhe.domain.SjGfjsZsdwwtcj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.qianhe.mapper.SjGfjsXjbzMapper;
import com.qianhe.domain.SjGfjsXjbz;
import com.qianhe.service.ISjGfjsXjbzService;

/**
 * 三基 规范建设 星级班组Service业务层处理
 *
 * @author qianhe
 * @date 2025-11-28
 */
@Service
public class SjGfjsXjbzServiceImpl implements ISjGfjsXjbzService
{
    @Autowired
    private SjGfjsXjbzMapper sjGfjsXjbzMapper;

    /**
     * 查询三基 规范建设 星级班组
     *
     * @param id 三基 规范建设 星级班组主键
     * @return 三基 规范建设 星级班组
     */
    @Override
    public SjGfjsXjbz selectSjGfjsXjbzById(Long id)
    {
        return sjGfjsXjbzMapper.selectSjGfjsXjbzById(id);
    }

    /**
     * 查询三基 规范建设 星级班组列表
     *
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 三基 规范建设 星级班组
     */
    @Override
    public List<SjGfjsXjbz> selectSjGfjsXjbzList(SjGfjsXjbz sjGfjsXjbz)
    {
        return sjGfjsXjbzMapper.selectSjGfjsXjbzList(sjGfjsXjbz);
    }

    /**
     * 新增三基 规范建设 星级班组
     *
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 结果
     */
    @Override
    public int insertSjGfjsXjbz(SjGfjsXjbz sjGfjsXjbz)
    {
        return sjGfjsXjbzMapper.insertSjGfjsXjbz(sjGfjsXjbz);
    }

    /**
     * 修改三基 规范建设 星级班组
     *
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 结果
     */
    @Override
    public int updateSjGfjsXjbz(SjGfjsXjbz sjGfjsXjbz)
    {
        return sjGfjsXjbzMapper.updateSjGfjsXjbz(sjGfjsXjbz);
    }

    /**
     * 批量删除三基 规范建设 星级班组
     *
     * @param ids 需要删除的三基 规范建设 星级班组主键
     * @return 结果
     */
    @Override
    public int deleteSjGfjsXjbzByIds(Long[] ids)
    {
        return sjGfjsXjbzMapper.deleteSjGfjsXjbzByIds(ids);
    }

    /**
     * 删除三基 规范建设 星级班组信息
     *
     * @param id 三基 规范建设 星级班组主键
     * @return 结果
     */
    @Override
    public int deleteSjGfjsXjbzById(Long id)
    {
        return sjGfjsXjbzMapper.deleteSjGfjsXjbzById(id);
    }



    @Override
    public int pledit(List<SjGfjsXjbz> list) {
        int mxint = sjGfjsXjbzMapper.pledit(list);
        return mxint;
    }
    @Override
    public int batchSave(List<SjGfjsXjbz> addList) {
        return sjGfjsXjbzMapper.batchSave(addList);
    }
    @Override
    public int plxg(SjGfjsXjbz s)
    {
        return sjGfjsXjbzMapper.plxg(s);
    }
}
